[egenix-users] Using mxODBC with unixODBC 2.3.1

M.-A. Lemburg mal at egenix.com
Thu Feb 9 17:05:39 CET 2012

Dear Users,

the unixODBC maintainers have decided to change the library version of
their libodbc.so shared library from 1 to 2.

This change should have been done with the release of unixODBC 2.3.0,
since that changed the unixODBC application interface by switching
from 32-bit to 64-bit length information in the APIs, but late is
better then never :-)

If you are using mxODBC with unixODBC 2.3.1, please read on...

As mentioned on the http://www.unixodbc.org/ users running into problems
with the linker should create a symlink from libodbc.so.2 to libodbc.so.1
in order to work around the problem:

cd /usr/lib
ln -sf libodbc.so.2 libodbc.so.1

Since mxODBC 3.1 is linked against unixODBC 2.3.0, it uses the previous
name libodbc.so.1, so you will have to add the mentioned symlink to
have mxODBC find the unixODBC library in case you intend to use
unixODBC on Unix platforms.

The next release of mxODBC will be linked against unixODBC 2.3.1
(or later) and will start looking for libodbc.so.2 per default.

Marc-Andre Lemburg

Professional Python Services directly from the Source  (#1, Feb 09 2012)
>>> Python/Zope Consulting and Support ...        http://www.egenix.com/
>>> mxODBC.Zope.Database.Adapter ...             http://zope.egenix.com/
>>> mxODBC, mxDateTime, mxTextTools ...        http://python.egenix.com/

::: Try our new mxODBC.Connect Python Database Interface for free ! ::::

   eGenix.com Software, Skills and Services GmbH  Pastor-Loeh-Str.48
    D-40764 Langenfeld, Germany. CEO Dipl.-Math. Marc-Andre Lemburg
           Registered at Amtsgericht Duesseldorf: HRB 46611

More information about the egenix-users mailing list